Create an account
Starts the process of onboarding an account. This endpoint can only be accessed by product-level permissions.
curl --request POST \
--url https://api.equalsmoney.com/v2/onboarding \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accountType": "business",
"affiliateId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
"companyId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
"contact": {
"firstName": "John",
"lastName": "Doe",
"nationality": "GB",
"annualIncome": {
"currencyCode": "USD",
"value": 0
},
"email": "test@example.com",
"phone": "07123456789",
"dob": "19/01/1946",
"address": {
"addressLine1": "Great Building",
"addressLine2": "Greater Building",
"townCity": "My Town",
"postCode": "SE13UB",
"countryCode": "GB"
}
},
"account": {
"companyName": "My Company",
"companyNumber": "1111111111",
"incorporationDate": "2004-01-30",
"type": "ltd",
"website": "https://www.my-business.com",
"onboardingDetail": "detail",
"address": {
"addressLine1": "Great Building",
"addressLine2": "Greater Building",
"townCity": "My Town",
"postCode": "SE13UB",
"countryCode": "GB"
}
},
"kyc": {
"mainPurpose": "Sale of shares",
"sourceOfFunds": "salary",
"destinationOfFunds": "GB",
"currenciesRequired": "GBP",
"annualVolume": "Less than £10,000",
"numberOfPayments": "More than 20 payments",
"expectedCardUse": "advertising_and_marketing",
"averageLoad": "10000_25000",
"numberOfCards": "11_50",
"cardFourthLine": "CUSTOMER",
"employeeCards": true,
"atmWithdrawals": true,
"cardProducts": {
"individualVirtual": "03e9e3df-ad27-4bfc-9e97-a3ba3d537580",
"individualPhysical": "f90df540-a102-4876-bf01-8594cf50af5c",
"shared": "2310830e-60d4-4930-8ee5-c729d2ce8303"
}
},
"market": "UK",
"features": "payments",
"preferredLanguage": "EN"
}
'import requests
url = "https://api.equalsmoney.com/v2/onboarding"
payload = {
"accountType": "business",
"affiliateId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
"companyId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
"contact": {
"firstName": "John",
"lastName": "Doe",
"nationality": "GB",
"annualIncome": {
"currencyCode": "USD",
"value": 0
},
"email": "test@example.com",
"phone": "07123456789",
"dob": "19/01/1946",
"address": {
"addressLine1": "Great Building",
"addressLine2": "Greater Building",
"townCity": "My Town",
"postCode": "SE13UB",
"countryCode": "GB"
}
},
"account": {
"companyName": "My Company",
"companyNumber": "1111111111",
"incorporationDate": "2004-01-30",
"type": "ltd",
"website": "https://www.my-business.com",
"onboardingDetail": "detail",
"address": {
"addressLine1": "Great Building",
"addressLine2": "Greater Building",
"townCity": "My Town",
"postCode": "SE13UB",
"countryCode": "GB"
}
},
"kyc": {
"mainPurpose": "Sale of shares",
"sourceOfFunds": "salary",
"destinationOfFunds": "GB",
"currenciesRequired": "GBP",
"annualVolume": "Less than £10,000",
"numberOfPayments": "More than 20 payments",
"expectedCardUse": "advertising_and_marketing",
"averageLoad": "10000_25000",
"numberOfCards": "11_50",
"cardFourthLine": "CUSTOMER",
"employeeCards": True,
"atmWithdrawals": True,
"cardProducts": {
"individualVirtual": "03e9e3df-ad27-4bfc-9e97-a3ba3d537580",
"individualPhysical": "f90df540-a102-4876-bf01-8594cf50af5c",
"shared": "2310830e-60d4-4930-8ee5-c729d2ce8303"
}
},
"market": "UK",
"features": "payments",
"preferredLanguage": "EN"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountType: 'business',
affiliateId: '420e4d3c-2d51-4cad-9caf-d7300258cefd',
companyId: '420e4d3c-2d51-4cad-9caf-d7300258cefd',
contact: {
firstName: 'John',
lastName: 'Doe',
nationality: 'GB',
annualIncome: {currencyCode: 'USD', value: 0},
email: 'test@example.com',
phone: '07123456789',
dob: '19/01/1946',
address: {
addressLine1: 'Great Building',
addressLine2: 'Greater Building',
townCity: 'My Town',
postCode: 'SE13UB',
countryCode: 'GB'
}
},
account: {
companyName: 'My Company',
companyNumber: '1111111111',
incorporationDate: '2004-01-30',
type: 'ltd',
website: 'https://www.my-business.com',
onboardingDetail: 'detail',
address: {
addressLine1: 'Great Building',
addressLine2: 'Greater Building',
townCity: 'My Town',
postCode: 'SE13UB',
countryCode: 'GB'
}
},
kyc: {
mainPurpose: 'Sale of shares',
sourceOfFunds: 'salary',
destinationOfFunds: 'GB',
currenciesRequired: 'GBP',
annualVolume: 'Less than £10,000',
numberOfPayments: 'More than 20 payments',
expectedCardUse: 'advertising_and_marketing',
averageLoad: '10000_25000',
numberOfCards: '11_50',
cardFourthLine: 'CUSTOMER',
employeeCards: true,
atmWithdrawals: true,
cardProducts: {
individualVirtual: '03e9e3df-ad27-4bfc-9e97-a3ba3d537580',
individualPhysical: 'f90df540-a102-4876-bf01-8594cf50af5c',
shared: '2310830e-60d4-4930-8ee5-c729d2ce8303'
}
},
market: 'UK',
features: 'payments',
preferredLanguage: 'EN'
})
};
fetch('https://api.equalsmoney.com/v2/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"correlationId": "string",
"account": {
"product": "EQUALSMONEY",
"market": "UK",
"features": "payments",
"accountType": "business",
"affiliateId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
"companyId": "420e4d3c-2d51-4cad-9caf-d7300258cefd",
"preferredLanguage": "EN",
"contact": {
"firstName": "John",
"lastName": "Doe",
"nationality": "GB",
"annualIncome": {
"currencyCode": "USD",
"value": 0
},
"email": "test@example.com",
"phone": "07123456789",
"dob": "19/01/1946",
"address": {
"addressLine1": "Great Building",
"addressLine2": "Greater Building",
"townCity": "My Town",
"postCode": "SE13UB",
"countryCode": "GB"
}
},
"account": {
"companyName": "My Company",
"companyNumber": "1111111111",
"incorporationDate": "1980-01-30",
"type": "ltd",
"website": "https://www.my-business.com",
"onboardingDetail": "detail",
"address": {
"addressLine1": "Great Building",
"addressLine2": "Greater Building",
"townCity": "My Town",
"postCode": "SE13UB",
"countryCode": "GB"
}
},
"kyc": {
"expectedCardUse": "advertising_and_marketing",
"onboardingDetail": "Extra info supplied by customer",
"sourceOfFunds": "salary",
"currenciesRequired": "GBP",
"averageLoad": "10000_25000",
"numberOfCards": "11_50",
"numberOfPayments": "More than 20 payments",
"destinationOfFunds": "GB",
"mainPurpose": "Sale of shares",
"cardFourthLine": "CUSTOMER",
"employeeCards": true,
"atmWithdrawals": true,
"annualVolume": "Less than £10,000"
}
}
}Authorizations
Query Parameters
The ID of the product to work with.
36"3ef24d53-6e22-4103-a16b-d268e4f7346d"
Body
Body
The type of account that you want to onboard.
business, personal Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
The affiliate ID.
"420e4d3c-2d51-4cad-9caf-d7300258cefd"
The company ID.
"420e4d3c-2d51-4cad-9caf-d7300258cefd"
- Option 1
- Option 2
Show child attributes
Show child attributes
The market relating to the license that the account operates under. This may be different from the geographical region that the account operates in. Currently, we support UK, US, EU, and UP market accounts, but your account's geographical region doesn't necessarily have to be the one of those. The API validates that the selected market is allowed for the product.
UK, EU, US, UP "UK"
The feature that you want to enable on the account. If not provided, this defaults to payments.
payments, cards "payments"
The preferred language for business correspondence. ISO 639-1 uppercase.
EN, FR, DE, ES, IT, NL, PT Response
Accepted
Was this page helpful?
